Package org.mariadb.jdbc.pool

## Class InternalPoolConnection

- java.lang.Object
- - org.mariadb.jdbc.MariaDbPoolConnection
  - - org.mariadb.jdbc.pool.InternalPoolConnection

All Implemented Interfaces:
  `PooledConnection`, `XAConnection`

    public class InternalPoolConnection
    extends MariaDbPoolConnection

### Constructor Summary

Constructors
`InternalPoolConnection​(Connection connection)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`AtomicLong` `getLastUsed()` Indicate last time this pool connection has been used.
`void` `lastUsedToNow()` Set last poolConnection use to now.

### Methods inherited from class org.mariadb.jdbc.MariaDbPoolConnection

`addConnectionEventListener, addStatementEventListener, fireConnectionClosed, fireConnectionErrorOccurred, fireStatementClosed, fireStatementErrorOccurred, getConnection, getXAResource, removeConnectionEventListener, removeStatementEventListener, xidToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalPoolConnection

    public InternalPoolConnection​(Connection connection)

Constructor.

Parameters:
  `connection` - connection to retrieve connection options

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `PooledConnection`
Overrides:
  `close` in class `MariaDbPoolConnection`

#### getLastUsed

    public AtomicLong getLastUsed()

Indicate last time this pool connection has been used.

Returns:
  current last used time (nano).

#### lastUsedToNow

    public void lastUsedToNow()

Set last poolConnection use to now.